__ROOT_DEVICE_REGIST(9)

NAME
__root_device_register - allocate and register a root device

SYNOPSIS

struct device * __root_device_register(const char * name, struct module * owner);

ARGUMENTS

name
    root device name

owner
    owner module of the root device, usually THIS_MODULE

DESCRIPTION

This function allocates a root device and registers it using device_register. In order to free the returned device, use root_device_unregister.

Root devices are dummy devices which allow other devices to be grouped under /sys/devices. Use this function to allocate a root device and then use it as the parent of any device which should appear under /sys/devices/{name}

The /sys/devices/{name} directory will also contain a 'module' symlink which points to the owner directory in sysfs.

Returns struct device pointer on success, or ERR_PTR on error.

NOTE

You probably want to use root_device_register.

COPYRIGHT